#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libpcap
Version		:	1.10.4
Release		:	17.0.10.rel%{?dist}
Summary		:	A system-independent interface for user-level packet capture
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD with advertising
URL		:	http://www.tcpdump.org/release

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
ibpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CREDITS README.md LICENSE
%{_libdir}/%{name}.so.1
%{_libdir}/%{name}.so.%{version}
%{_mandir}/man7/*.7.gz

#=============================================================================
%package		devel
Summary		:	Libraries and header files for the libpcap library

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package provides the libraries, include
files, and other resources needed for developing
libpcap applications.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root)
%{_bindir}/pcap-config
%{_includedir}/pcap*.h
%{_includedir}/pcap/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3pcap.gz
%{_mandir}/man5/*.5.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#-----------------------------------------------------------------------------
%changelog
